Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class RedRable

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.RedRable

All Implemented Interfaces:
  Filter, java.awt.image.renderable.RenderableImage

public class RedRable
extends AbstractRable

RasterRable This is used to wrap a Rendered Image back into the RenderableImage world.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`RedRable(CachableRed src)`

Method Summary
`java.awt.image.RenderedImage` | `createDefaultRendering()`
`java.awt.image.RenderedImage` | `createRendering(java.awt.image.renderable.RenderContext rc)`
`java.awt.geom.Rectangle2D` | `getBounds2D()` Returns the bounds of the current image.
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.String[]` | `getPropertyNames()`
`CachableRed` | `getSource()`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createScaledRendering, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedRable

    public RedRable(CachableRed src)

Method Detail

### getSource

    public CachableRed getSource()

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `java.awt.image.renderable.RenderableImage`
  Overrides:
    `getProperty` in class `AbstractRable`

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `java.awt.image.renderable.RenderableImage`
  Overrides:
    `getPropertyNames` in class `AbstractRable`

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Description copied from interface: `Filter`
  Returns the bounds of the current image. This should be 'in sync' with getMinX, getMinY, getWidth, getHeight

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### createDefaultRendering

    public java.awt.image.RenderedImage createDefaultRendering()

  Specified by:
    `createDefaultRendering` in interface `java.awt.image.renderable.RenderableImage`
  Overrides:
    `createDefaultRendering` in class `AbstractRable`

### createRendering

    public java.awt.image.RenderedImage createRendering(java.awt.image.renderable.RenderContext rc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.